Bug 445861 - Missing symbol GLwCreateM2DrawingArea in libGLw
Missing symbol GLwCreateM2DrawingArea in libGLw
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mesa (Show other bugs)
5.2
All Linux
urgent Severity high
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
:
Depends On:
Blocks: 391501
  Show dependency treegraph
 
Reported: 2008-05-09 10:33 EDT by Alan Matsuoka
Modified: 2010-10-22 20:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 18:51:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (3.70 KB, text/plain)
2008-05-09 10:33 EDT, Alan Matsuoka
no flags Details
test rpm (4.52 MB, application/x-rpm)
2008-05-09 10:37 EDT, Alan Matsuoka
no flags Details

  None (edit)
Description Alan Matsuoka 2008-05-09 10:33:56 EDT
Description of problem:

Rich,

We're in the process of qualifying the engineering apps on RHEL5 and have run
into a problem with a code called SC03 (written by Rolls Royce, yes that Rolls
Royce).

It works fine on RHEL4, but on RHEL5 we get:
/swd/rrtestlx/11C0/bin/sc03_load: symbol lookup error:
/swd/rrtestlx/11C0/bin/sc03_load: undefined symbol: GLwCreateM2DrawingArea

On RHEL4, this symbol is defined in /usr/X11R6/lib[64]/libGLw.a and libGLw.so.1,
but is NOT defined in RHEL5's libraries (which are in /usr/lib[64]).  

Please advise:
- why this symbol was dropped (bug, on purpose, etc.)
- why RHEL5 does not include libGLw.a at all
Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:

  
Actual results:
missing symbols	

Expected results:

symbols should be present 

Additional info:
Comment 1 Alan Matsuoka 2008-05-09 10:33:56 EDT
Created attachment 304945 [details]
patch
Comment 2 Alan Matsuoka 2008-05-09 10:37:18 EDT
Created attachment 304947 [details]
test rpm
Comment 3 RHEL Product and Program Management 2008-06-02 16:01:06 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 RHEL Product and Program Management 2008-07-14 17:20:44 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 16 Adam Jackson 2008-09-17 13:58:13 EDT
Devel ack.
Comment 18 Adam Jackson 2008-09-17 15:03:27 EDT
Built mesa-6.5.1-7.6.el5

MODIFIED
Comment 24 errata-xmlrpc 2009-01-20 18:51:00 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0169.html

Note You need to log in before you can comment on or make changes to this bug.